- Qt 5.15
- Qt 3D
- C++ Classes
- QNodeId
- Qt 5.15.19 Reference Documentation

# QNodeId Class

class Qt3DCore::QNodeId

Uniquely identifies a QNode. More...

Header: | #include <Qt3DCore/QNodeId>
qmake: | QT += 3dcore

- List of all members, including inherited members

## Public Functions

quint64 | id() const
bool | isNull() const
bool | operator bool() const
bool | operator!=(QNodeId other) const
bool | operator<(QNodeId other) const
bool | operator==(QNodeId other) const
bool | operator>(QNodeId other) const

## Static Public Members

QNodeId | createId()

## Related Non-Members

typedef | QNodeIdVector
uint | qHash(QNodeId id, uint seed = 0)

## Detailed Description

## Member Function Documentation

### `[static]` QNodeId QNodeId::createId()

Returns node id.

### quint64 QNodeId::id() const

Returns

### bool QNodeId::isNull() const

Returns

### bool QNodeId::operator bool() const

Returns

### bool QNodeId::operator!=(QNodeId other) const

Returns `true` if `this` != other.

### bool QNodeId::operator<(QNodeId other) const

Returns `true` if `this` < other.

### bool QNodeId::operator==(QNodeId other) const

Returns `true` if `this` == other.

### bool QNodeId::operator>(QNodeId other) const

Returns `true` if `this` > other.

## Related Non-Members

### typedef QNodeIdVector

A vector of QNodeIds.

### uint qHash(QNodeId id, uint seed = 0)

Returns hash of node with id and optional seed.